Passer au contenu principal
POST
/api/v1/video/retrieve
Si la réponse de /video/queue incluait un download_url, téléchargez le fichier terminé depuis cette URL (et non en binaire depuis cet endpoint). Sinon, cet endpoint renvoie la vidéo. Voir Liens de téléchargement privés pour le fonctionnement du lien, les relances et la méthode DELETE optionnelle.

Autorisations

Authorization
string
header
requis

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Corps

application/json
queue_id
string
requis

The ID of the video generation request.

Exemple:

"123e4567-e89b-12d3-a456-426614174000"

model
string
obsolète

Ignored. The queued video identifies its own model.

Exemple:

"video-model-123"

delete_media_on_completion
boolean
défaut:false

If true, the video media will be deleted from storage after the request is completed. If false, you can use the complete endpoint to remove the media once you have successfully downloaded the video.

Exemple:

false

Réponse

Video file if completed, or processing status if still in progress

status
enum<string>
requis

The status of the video generation request.

Options disponibles:
PROCESSING,
COMPLETED
Exemple:

"PROCESSING"

average_execution_time
number
requis

The estimated execution time of the video generation request in milliseconds (P80).

Exemple:

145000

execution_duration
number
requis

The current duration of the video generation request in milliseconds.

Exemple:

53200